Bug 185571 - Mounting NFS shares: "can't read superblock"
Mounting NFS shares: "can't read superblock"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 16:36 EST by Dane Mutters
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 08:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dane Mutters 2006-03-15 16:36:20 EST
Description of problem: 
When trying to mount an NFS share from either Ubuntu-Dapper or Gentoo-Current 
(and perhaps others), I get this error: 
 
</mnt> 
[root@Orchestrator mnt]# mount 192.168.1.112:/pub/readonly nfs 
mount: 192.168.1.112:/pub/readonly: can't read superblock 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Every time. 
 
Steps to Reproduce: 
1. Create an NFS share on the Fedora server. 
2. Issue the mount command as above on the client. 
   
Actual results: 
Share does not mount.  See above. 
 
Expected results: 
Share should mount. 
 
Additional info:
Comment 1 Steve Dickson 2006-04-19 09:28:55 EDT
can you post a binary bzip2 tethereal trace
(i..e tethereal -w /tmp/mount.pcap host <server> ; bzip2 /tmp/mount.pcap)
Comment 2 Dane Mutters 2006-04-20 00:06:11 EDT
Unfortunately, I deleted that partition :-(.  Sorry I can't help.  Has anybody 
else experienced this bug? 
Comment 3 Hal Goldfarb 2006-05-24 14:54:59 EDT
I have experienced the exact same scenario.  I tried to open ports on the
firewall for nfs, sunrpc, portmap, and several others, but it still did not
work.   I figured out that if I disable the FC5 firewall COMPLETELY, I can mount
an NFS filesystem on another box.

I think fedora could be made easier to use if the exact list of ports to open on
the firewall were listed, or maybe the export GUI could be modified to do this
for the user?
Comment 4 Steve Dickson 2006-06-30 08:25:03 EDT
Note taken.... Having a GUI to set up NFS ports would be very good.... 
and will being to looking to it... 

But for know I will be closing this b.... 

Note You need to log in before you can comment on or make changes to this bug.